package com.mortals.xhx.modules.data.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.modules.data.model.DataAreaEntity;
import com.mortals.xhx.modules.data.model.DataAreaQuery;

/**
* <p>Title: 地区表</p>
* <p>Description: DataAreaForm  </p>
* @author
* @version 1.0.0
*/
public class DataAreaForm extends BaseCRUDFormLong<DataAreaEntity> {
    private DataAreaEntity dataarea = new DataAreaEntity();
    private DataAreaQuery query = new DataAreaQuery();
    public DataAreaForm(){

    }

    @Override
    public DataAreaEntity getEntity() {
    return dataarea;
    }
    public DataAreaEntity getDataArea() {
    return dataarea;
    }

    public void setDataArea(DataAreaEntity dataarea) {
    this.dataarea = dataarea;
    }

    @Override
    public DataAreaQuery getQuery() {
    return query;
    }

    public void setQuery(DataAreaQuery query) {
    this.query = query;
    }
}